Bug 245749 - devel/py-nbformat: Update to 5.0.6
Summary: devel/py-nbformat: Update to 5.0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL: https://github.com/jupyter/nbformat/b...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-19 21:53 UTC by Danilo G. Baio
Modified: 2020-04-25 12:31 UTC (History)
1 user (show)

See Also:
sunpoet: maintainer-feedback+


Attachments
py-nbformat-5.0.6.patch (1.56 KB, patch)
2020-04-19 21:53 UTC, Danilo G. Baio
dbaio: maintainer-approval? (python)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2020-04-19 21:53:22 UTC
Created attachment 213580 [details]
py-nbformat-5.0.6.patch

Drop support for Python 2.7

makte test: 146 passed in 1.38 seconds
poudriere ok (11, 12, CURRENT; i386, amd64)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-20 01:25:52 UTC
Thanks Danilo, could you confirm successful reverse dependents testport runs with this change please
Comment 2 Danilo G. Baio freebsd_committer 2020-04-22 11:02:10 UTC
(In reply to Kubilay Kocak from comment #1)

poudriere(bulk) ok, all consumers 
jupyter notebook: runtime tests ok
Comment 3 commit-hook freebsd_committer 2020-04-25 12:20:53 UTC
A commit references this bug:

Author: dbaio
Date: Sat Apr 25 12:20:43 UTC 2020
New revision: 532947
URL: https://svnweb.freebsd.org/changeset/ports/532947

Log:
  devel/py-nbformat: Update to 5.0.6

  Drop support for Python 2.7

  Changelog:	https://github.com/jupyter/nbformat/blob/5.0.6/docs/changelog.rst

  PR:		245749
  Approved by:	sunpoet (python, maintainer)

Changes:
  head/devel/py-nbformat/Makefile
  head/devel/py-nbformat/distinfo
Comment 4 Danilo G. Baio freebsd_committer 2020-04-25 12:29:35 UTC
thanks sunpoet